_base_ = [
    '../_base_/models/stdc.py',
    '../_base_/datasets/publicdataset_endovis_2018.py',
    '../_base_/default_runtime.py',
    '../_base_/schedules/schedule_300e_val1_check10.py',
]

norm_cfg = dict(
    type='BN',
)

crop_size = (512, 512)

data_preprocessor = dict(
    size=(512, 512),
    mean=[
        122.21429912990676,
        77.0821859677977,
        87.03836664626716,
    ],
    std=[
        50.53335800365262,
        42.895340354037465,
        47.739426483390446,
    ],
    bgr_to_rgb=False,
)

model = dict(
    data_preprocessor=dict(
        size=(512, 512),
        mean=[
            122.21429912990676,
            77.0821859677977,
            87.03836664626716,
        ],
        std=[
            50.53335800365262,
            42.895340354037465,
            47.739426483390446,
        ],
        bgr_to_rgb=False,
    ),
    backbone=dict(
        backbone_cfg=dict(
            stdc_type='STDCNet2',
        ),
        init_cfg=dict(
            type='Pretrained',
            checkpoint='./My_Local_Model/open_mmlab/stdc2.pth',
        ),
    ),
    decode_head=dict(
        num_classes=8,
        loss_decode=dict(
            type='DiceLoss',
            use_sigmoid=False,
            loss_weight=1.0,
        ),
    ),
)

optim_wrapper = dict(
    type='OptimWrapper',
    _delete_=True,
    optimizer=dict(
        type='AdamW',
        lr=0.0001,
        weight_decay=0.0005,
    ),
    clip_grad=dict(
        max_norm=1,
        norm_type=2,
    ),
)

param_scheduler = [
    dict(
        type='LinearLR',
        start_factor=1e-06,
        by_epoch=True,
        begin=0,
        end=10,
    ),
    dict(
        type='PolyLR',
        power=0.9,
        begin=10,
        end=300,
        eta_min=1e-05,
        by_epoch=True,
    ),
]

